Option Explicit 

Dim  g_SrcPath
Dim  g_PC_setting_default_Path
     g_PC_setting_default_Path = g_SrcPath


Function  Setting_getEditorCmdLine(i)
  Dim  ret, paths

  If VarType( i ) = vbString Then
    ret = GetSearchOpenCmdLine( i )  '// i is PathAndName
  ElseIf i <> 3 Then
    paths = Array( _
      g_sh.ExpandEnvironmentStrings( "%ProgramFiles%\sakura\sakura.exe" ), _
      g_sh.ExpandEnvironmentStrings( "%myhome_mem%\prog\sakura\sakura\sakura.exe" ), _
      g_sh.ExpandEnvironmentStrings( "%WinDir%\notepad.exe" ) )
    ret = GetExistPathInSetting( paths, "Setting_getEditorCmdLine" )
    If i = 1 Then  ret = """" + ret + """ ""%1"""
    If i = 2 Then
      If InStr( ret, "sakura.exe" ) > 0 Then
        ret = """" + ret + """ -Y=%d ""%1"""
      Else
        ret = """" + ret + """ ""%1"""
      End If
    End If
  ElseIf i = 3 Then
    paths = Array( _
      g_sh.ExpandEnvironmentStrings( "%ProgramFiles%\sakura\sakura.exe" ), _
      g_sh.ExpandEnvironmentStrings( "%myhome_mem%\prog\sakura\sakura\sakura.exe" ), _
      g_sh.ExpandEnvironmentStrings( "%WinDir%\notepad.exe" ) )
    ret = GetExistPathInSetting( paths, "Setting_getEditorCmdLine" )
    If InStr( ret, "search_open.exe" ) > 0 Then
      ret = """" + ret + """ ""%1#%2"""
    Else
      ret = """" + ret + """ ""%1"""
    End If
  End If
  Setting_getEditorCmdLine = ret
End Function


Function  Setting_getDiffCmdLine(i)
  Dim  ret, exe
  ReDim  pathes(1)
  pathes(0) = g_sh.ExpandEnvironmentStrings( "%ProgramFiles%\Rekisa\Rekisa.exe" )
  pathes(1) = g_sh.ExpandEnvironmentStrings( "%myhome_mem%\prog\Rekisa\Rekisa\Rekisa.exe" )
  exe = GetExistPathInSetting( pathes, "Setting_getDiffCmdLine" )
  If i = 0 Then  ret = exe
  If i = 2 Then  ret = """" + exe + """ ""%1"" ""%2"""
  If i = 3 Then  ret = """" + exe + """ ""%1"" ""%2"" ""%3"""
  If i = 21 Then ret = """" + exe + """ -Y+1=%L -ActiveFile=""%1"" ""%1"" ""%2"""
  If i = 22 Then ret = """" + exe + """ -Y+1=%L -ActiveFile=""%2"" ""%1"" ""%2"""
  If i = 31 Then ret = """" + exe + """ -Y+1=%L -ActiveFile=""%1"" ""%1"" ""%2"" ""%3"""
  If i = 32 Then ret = """" + exe + """ -Y+1=%L -ActiveFile=""%2"" ""%1"" ""%2"" ""%3"""
  If i = 33 Then ret = """" + exe + """ -Y+1=%L -ActiveFile=""%3"" ""%1"" ""%2"" ""%3"""
  Setting_getDiffCmdLine = ret
End Function


Sub  Setting_openFolder( Path )
  echo  ">Open folder """ + Path + """"
  If GetOSVersion = 6.0 Then
    echo "Open folder need Sleep on Vista..."
    Sleep(500)
  End If

  If g_fs.FolderExists( Path ) Then
    g_sh.Run "explorer """ + Path + """"
  ElseIf g_fs.FileExists( Path ) Then
    g_sh.Run "explorer /SELECT, """ + Path + """"
  Else
    Err.Raise  1,, """" + Path + """ ܂B"
  End If

End Sub
 
